package org.dromara.payment.worker.service;

import org.dromara.payment.worker.domain.UserWorkerAccount;
import org.dromara.payment.worker.domain.vo.UserWorkerAccountVo;
import org.dromara.payment.worker.domain.bo.UserWorkerAccountBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 自雇者账户Service接口
 *
 * @author LionLi
 * @date 2024-04-28
 */
public interface IUserWorkerAccountService {

    /**
     * 查询自雇者账户
     */
    UserWorkerAccountVo queryById(Long id);

    /**
     * 查询自雇者账户列表
     */
    TableDataInfo<UserWorkerAccountVo> queryPageList(UserWorkerAccountBo bo, PageQuery pageQuery);

    /**
     * 查询自雇者账户列表
     */
    List<UserWorkerAccountVo> queryList(UserWorkerAccountBo bo);

    /**
     * 新增自雇者账户
     */
    Boolean insertByBo(UserWorkerAccountBo bo);

    /**
     * 修改自雇者账户
     */
    Boolean updateByBo(UserWorkerAccountBo bo);

    /**
     * 校验并批量删除自雇者账户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    /****
     * 账单补发，修改自雇者银行卡信息
     * @param bo
     * @return
     */
    UserWorkerAccount rePayMdyWorkerBank(UserWorkerAccountBo bo);
}
